Interessting! Should be our goal that our Java Code works on Java 8 and 9 environments?

I understand the bug https://bz.apache.org/ooo/show_bug.cgi?id=123427 that it is a request for MSI only installer.


We could build such a installer with the Wix framework. Any objections?

I have updated the points on the Point of Interest page in CWiki.
https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=67633711


On 19.02.2018 10:40, Torokhov Sergey wrote:
Please, note that Java 9 is not LTS release and it's support ends in March of 
2018! :
http://www.oracle.com/technetwork/java/eol-135779.html

while Java 8 will be supported at least untill January 2019 and December 2020:

See "End of Public Updates for Oracle JDK 8" section for link above:

End of Public Updates for Oracle JDK 8
As outlined in the Oracle JDK Support Roadmap below,
Oracle will not post further updates of Java SE 8 to its public download sites 
for commercial use after January 2019.
Customers who need continued access to critical bug fixes and security fixes
as well as general maintenance for Java SE 8 or previous versions can get long 
term support through Oracle Java SE Advanced,
Oracle Java SE Advanced Desktop, or Oracle Java SE Suite.
All other users are recommended to upgrade to the latest major releases of the 
Oracle JDK or OpenJDK.
Oracle does not plan to migrate desktops from Java 8 to later versions via the 
auto update feature.
Individuals who require Java SE for non-corporate desktop use will continue to 
receive updates through at least December 2020
Also note that Java 10 also is not LTS release that will be supported untill 
September 2018.
So migrate to java 9 or 10 has no sense.


19.02.2018, 11:55, "FR web forum" <ooofo...@free.fr>:
MSI feature will be great:
https://bz.apache.org/ooo/show_bug.cgi?id=123427
Provide MSI package for easy deployment

My 2 ct. too

----- Mail original -----
  De: "Peter Kovacs" <pe...@apache.org>
  À: "dev" <dev@openoffice.apache.org>
  Envoyé: Mercredi 7 Février 2018 22:13:58
  Objet: Windows developent plan

  Hi all,

  I would like to bring up 2 future issues we will have.
  # Java : Soon Java 8 will run out of support. Do we need to "migrate"
  to
  9 for 4.2.0?
...
  3) upgrade code base to Java 9

  ?

  We need to make a plan, any further thoughts?


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@openoffice.apache.org
For additional commands, e-mail: dev-h...@openoffice.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@openoffice.apache.org
For additional commands, e-mail: dev-h...@openoffice.apache.org

Reply via email to